Subject: Re: linux-next: manual merge of the keys-next tree with the modules tree

From: David Howells <[email-masked]>
Date: Fri, 30 Jan 2026 21:56:59 +0000

Sami Tolvanen <[email-masked]> wrote:

> > Wouldn't that mean having to rebase before sending to Linus?
> 
> Do you plan to send these to Linus for 7.0-rc1?

Yes, hopefully.

> The patches already depend on libcrypto-next landing first, right?

Yes - if that was the only thing, I'd just ask Linus to pull them after that.

> If the patches were last rebased 6h ago, I'm not sure if rebasing them on
> top of modules-next would significantly affect the linux-next soak time, but
> I'm fine either way.

Rebasing on modules-next wouldn't work unless modules-next has Eric's branch
merged in for the ML-DSA bits.  I could maybe merge the two and rebase on
that, but I think Linus isn't keen on that.

David